#include <stdio.h>
#include <stdlib.h>

int main()
{
    int t,n,m,k,oduzeti=0,b,i,ostatak;

    scanf("%d",&t);
    int ucenici[t];
    int bananice[t];
    int grupe[t];

    for(b=0;b<t;b++){
        scanf("%d",&ucenici[b]);
        scanf("%d",&bananice[b]);
        scanf("%d",&grupe[b]);
    }

    n=ucenici[0];
    m=bananice[0];
    k=grupe[0];

    for(b=0;b<t;b++){
        if(k>n){
            printf("Nie");
        }

        else{
            i=1;
            while(i*k<=n){ /// ravnomerni broj ucenika po grupama
                oduzeti=k*i; /// podeljene bananice
                m-=oduzeti; /// ostalo bananica
                i++; /// sledeci dobija za 1 vise
            }
            ostatak=n%k;
            m-=(ostatak*i); /// nerasporedjeni ucenici
            if(m>=0){     /// broj rasporedjenih bananica > 0
                printf("Tak");}

            else{
                printf("Nie");}
        }
        n=ucenici[b+1];
        m=bananice[b+1];
        k=grupe[b+1];
        oduzeti=0;
        printf("\n");
    }

    return 0;
}